#include<lpc214x.h>
void main()
{
IO0DIR=0X00000001;
PINSEL0=0X00000002;
PWMTCR=0X01;
PWMTC=0X00000000;
PWMPR=0X00000005;
PWMPC=0X00000000;
PWMMCR=0X00000003;
//PWMPCR=0X00000200;
//PWMLER=0X00000003;


while(1)
{
if((IO0PIN&0X00000002)==0X00000002)
{

PWMTC=0X00000000;
PWMPR=0X00000005;
PWMPC=0X00000000;
PWMMCR=0X00000003;
PWMMR0=1000;
PWMMR1=250;
PWMPCR=0X00000200;
PWMLER=0X00000003;
}
if((IO0PIN&0X00000004)==0X00000004)
{

PWMTC=0X00000000;
PWMPR=0X00000005;
PWMPC=0X00000000;
PWMMCR=0X00000003;
PWMMR0=1000;
PWMMR1=500;
PWMPCR=0X00000200;
PWMLER=0X00000003;
}

if((IO0PIN&0X00000008)==0X00000008)
{

PWMTC=0X00000000;
PWMPR=0X00000005;
PWMPC=0X00000000;
PWMMCR=0X00000003;
PWMMR0=1000;
PWMMR1=750;
PWMPCR=0X00000200;
PWMLER=0X00000003;
}


}

}